#include "term_io.h"

/**
  * @brief  Reports the name of the source file and the source line number
  *   where the assert_param error has occurred.
  * @param file: pointer to the source file name
  * @param line: assert_param error line source number
  * @retval : None
  */
void assert_failed(const uint8_t* file, const uint8_t* function, uint32_t line)
{
  /* User can add his own implementation to report the file name and line number,
     ex: printf("Wrong parameters value: file %s on line %d\r\n", file, line) */

  xprintf("\n !!! Wrong parameter value detected\n");
  xprintf(" - file %s\n", file);
  xprintf(" - function %s\n", function);
  xprintf(" - line %lu\n", line);

#if 0
  /* Infinite loop */
  while (1)
  {
  }
#endif
}

