//payload[0] commands

//global control IDs
#define SPP_ID_ACK				0x00	//packet is ACK
#define SPP_ID_EXT				0x01	//extended command in payload
#define SPP_ID_NITEMODE_ON		0x02	//enter night/low power mode
#define SPP_ID_NITEMODE_OFF		0x03	//exit night/low power mode
#define SPP_ID_ALL_ON			0x04	//all channels ON
#define SPP_ID_ALL_OFF			0x05	//all channels OFF
#define SPP_ID_ALL_ON_ALT		0x06	//all channels ON (alternative)
#define SPP_ID_ALL_OFF_ALT		0x07	//all channels OFF (alternative)
#define SPP_ID_MULTICHANNEL		0x08	//selective ON/OFF/Toggle: determined by payload[2:1]
#define SPP_ID_TEXT				0x0A	//payload[1]-id, payload[2,...]-text

//channel command IDs
#define SPP_ID_CHAN_ON			0x10
#define SPP_ID_CHAN_OFF			0x20
#define SPP_ID_CHAN_TOGGLE		0x30

#define SPP_ID_CHAN_ON_ALT		0x40
#define SPP_ID_CHAN_OFF_ALT		0x50
#define SPP_ID_CHAN_TOGGLE_ALT	0x60

#define SPP_ID_CHAN_UP			0x70	//increase value for a channel
#define SPP_ID_CHAN_DN			0x80	//decrease value for a channel
#define SPP_ID_CHAN_VALUE		0x90	//set value for a channel, value in payload[1]
#define SPP_ID_CHAN_VALUE_ALT	0xA0	//set value for a channel, value in payload[1]
#define SPP_ID_TRANSITION		0xB0	//set default transition speed for each channel
#define SPP_ID_POWER_DEFAULT	0xC0	//set power level applied with "on" and "toggle" commands

//Data IDs
#define SPP_ID_TIME				0xD0	//time info
#define SPP_ID_CHANNEL_STATE	0xD1	//state info for channel devices
#define SPP_ID_ALARM_STATE		0xDA	//state info for alarm

//request-response
#define SPP_ID_REQ				0xE0
#define SPP_ID_RESP				0xF0
